Bug 1425121 - [RFE] Sort smart class parameter overrides by resolution order
Summary: [RFE] Sort smart class parameter overrides by resolution order
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Smart Variables
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 15:44 UTC by Candace Sheremeta
Modified: 2019-08-12 16:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:38:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18813 0 None None None 2017-03-06 19:26:57 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Candace Sheremeta 2017-02-20 15:44:28 UTC
How would you like to achieve this? (List the functional requirements here)   
Functional Requirements:
Putting highest priority matches at the top of the list should help clarify the way in which they will be parsed.  This provides a visual representation of the logic to be used as well as a predictable way to locate existing matchers.

Technical Requirements:
Display the parameter matches sorted by resolution order, then alphabetical by matcher value.


For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.   
Testing:
1) Add matchers for a parameter using all of the listed facts.
2) verify the matchers display in the listed resolution order
3) re-arange the resolution order
4) verify the matchers display in the new listed resolution order


Do you have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
Timelines:
Could this happen for Sat 6.3?


Did you get the sales team involved in this request and do they have any additional input? 
No interaction with Sales folks


List any affected packages or components.
Packages:
forman
-> smart class parameters template


Would you be able to assist in testing this functionality if implemented? 
Testing:
I do not have a test Sat6 server.

Comment 2 Tomer Brisker 2017-02-22 09:34:37 UTC
Would ordering the matchers on page load according to the order be enough for your use case, or do you expect the order to change dynamically if you change the order field or a matcher type?
The first option should be fairly easy to accomplish, the second would be much more complex and not likely to occur in the 6.3 timeline.

Comment 3 Pat Riehecky 2017-02-22 14:16:28 UTC
> Would ordering the matchers on page load according to the order be enough for
your use case?

Yes this would be sufficient.

Comment 5 Tomer Brisker 2017-03-06 19:26:53 UTC
Created redmine issue http://projects.theforeman.org/issues/18813 from this bug

Comment 6 pm-sat@redhat.com 2017-03-09 17:07:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18813 has been resolved.

Comment 7 Ondřej Pražák 2017-08-23 06:56:14 UTC
Verified.

6.3.0 snap 12

Comment 10 errata-xmlrpc 2018-02-21 12:38:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.